
angular.module('ngDigicoop').directive('compileHtml', [
  '$compile',
  function($compile) {
    return {
      restrict: 'A',
      link: function (scope, element, attrs) {
        let domElement;
        scope.$watch(() => scope.$eval(attrs.compileHtml), (value) => {
          if (domElement) {
            domElement.remove();
          }
          element.html(value && value.toString());
          domElement = $compile(element.contents())(scope);
        });

        scope.$on('$destroy', () => {
          if (domElement) {
            domElement.remove();
            domElement = null;
          }
        });
      }
    };
  }
]);
