
angular.module('ngDigicoop').component('mediaEmbed', {
  bindings: {
    src: '<?'
  },
  controller: class extends AngularClass {
    static get $inject() {
      return ['$element', '$scope', '$timeout'];
    }
    $onChanges(changes) {
      if (changes.src && !changes.src.isFirstChange()) {
        this.render();
      }
    }
    $postLink() {
      this.el = this.$element;
      this.render();
    }
    render() {
      if (this.src.match(/\.(webm|mp4)$/)) {
        this.replaceElement($(`<video autoplay loop muted><source src="${this.src}" type="video/${this.src.split('.').pop()}"></video>`));
      } else {
        this.replaceElement($(`<img src="${this.src}">`));
      }
    }
    replaceElement(el) {
      this.el.replaceWith(el);
      this.el = el;
    }
  }
});
