
angular.module('ngDigicoop').directive('autoFocus', ['$timeout',
  function($timeout) {
    return {
      scope: {
        enabled: '<autoFocus'
      },
      link: function(scope, element, attrs) {
        scope.$watch('enabled', function(newVal, oldVal) {
          if (newVal === true || typeof(newVal) === 'undefined') {
            $timeout(function() {
              if (typeof(attrs.autoFocusSelect) !== 'undefined') {
                element[0].setSelectionRange(0, element[0].value.length);
              }
              element[0].focus();

              if (typeof(attrs.selectOnFocus) !== 'undefined') {
                element[0].select();
              }
            }, 200, false);
          }
        });
      }
    }
  }
]);
