
angular.module('ngDigicoop').directive('resizeDropdown', ['$window', function ($window) {
  return {
    restrict: 'A',
    scope: {
      'opt': '@resizeDropdown'
    },
    link: function (scope, $element, attr) {
      function getMaxHeight() {
        return scope.opt === 'halfWindow' ?
        ($window.innerHeight - 115) / 2 :
        ($window.innerHeight - 115);
      }
      function dropdownResizer() {
        $element.css('max-height', getMaxHeight() + 'px');
      }

      dropdownResizer();
      $($window).resize(dropdownResizer);
      scope.$on('$destroy', () => $($window).off('resize', dropdownResizer));
    }
  };
}]);
