#!/bin/bash

if [ -z "$1" ]; then
    echo "Usage: $0 LOCALE FILENAME"
    exit 1
fi

cwd=$(cd $(dirname $0) && pwd)
path=$cwd/$1/LC_MESSAGES/messages.po
tmp=$(tempfile)
shift
msgcat $path "$@" > $tmp
cat $tmp > $path
